# PDF

The Moyal distribution is defined as:
$$
  M(x) = \frac{1}{\sqrt{2 \pi}} e^{-\frac{1}{2} \left[ x + e^{-x} \right]}
$$
More generally, it is defined with the location and scale parameters $\mu$ and
$\sigma$ such as:
$$
  x \rightarrow \frac{x - \mu}{\sigma}
$$

# CDF

The cumulative distribution function $\mathscr{M}(x)$ can be derived from the
pdf $M(x)$ integrating:
$$
  \mathscr{M}(x) = \frac{1}{\sqrt{2 \pi}} \int\limits_{- \infty}^x dy \, M(y)
  = \frac{1}{\sqrt{2 \pi}} \int\limits_{- \infty}^x dy \, e^{- \frac{1}{2}}
    e^{- \frac{1}{2} e^{-y}}
$$
with the change of variable:
\begin{align}
  z = \frac{1}{\sqrt{2}} e^{-\frac{y}{2}}
  &\thus \frac{dz}{dy} = \frac{-1}{2 \sqrt{2}} e^{-\frac{y}{2}} \\
  &\thus dy = -2 \sqrt{2} e^{\frac{y}{2}} dz
\end{align}
hence, the limits of the integral become:
\begin{align}
  y \rightarrow - \infty &\thus z \rightarrow + \infty \\
  y = x &\thus z =  \\\frac{1}{\sqrt{2}} e^{-\frac{x}{2}} = f(x)
\end{align}
and the CDF can be rewritten as:
$$
  \mathscr{M}(x) = \frac{1}{2 \pi} \int\limits_{+ \infty}^{f(x)}
  dz \, (- 2 \sqrt{2}) e^{\frac{y}{2}} e^{- \frac{y}{2}} e^{- z^2}
  = \frac{-2 \sqrt{2}}{\sqrt{2 \pi}} \int\limits_{+ \infty}^{f(x)}
  dz e^{- z^2}
$$
since the `erf` is defines as:
$$
  
$$
